


#ifndef XANIMDYNAMICINDICES_H
#define XANIMDYNAMICINDICES_H

#include "xasset.h"

class XAnimDynamicIndices : public XAsset
{
public:
    explicit XAnimDynamicIndices();

    void ParseData(QDataStream *aStream) override;

    const quint8* GetIndices() const;
    void SetIndices(const quint8* indices, size_t count = 1);

private:
    quint8 mIndices[1] = {0};
};

#endif // XANIMDYNAMICINDICES_H


